Bug 2047 - master/slave protocol botched (reproducible)
Summary: master/slave protocol botched (reproducible)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-08 03:03 UTC by Joshua Buysse
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-13 19:00:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Buysse 1999-04-08 03:03:04 UTC
Dump has been updated to dump-0.3-17

I'm willing to provide access to the host for RH staff to
test/fix bug.  I've seen this and other similar problems on
other hosts.

This is a consistent problem on one filesystem.  Output
from dump follows (some extra stuff from our local
scripts)...

DUMP Tape: 1  File: 3             apricot:/nfs/apricot/d1
Dumping apricot:/nfs/apricot/d1  (/dev/hdb1)  level: 6
Target: /pkg/dmp_apricot/apricot/lev6/NEW-hdb1.gz
Date/time is: Wed Apr  7 02:00:16 CDT 1999
/sbin/dump 6ubdsf 20 10000 99999 - /dev/hdb1 |
/usr/local/gnu/bin/gzip --stdout
--best --verbose | rsh -l dumpdisk incr "cat - >
/pkg/dmp_apricot/apricot/lev6/NEW-hdb1.gz"
  DUMP: Date of this level 6 dump: Wed Apr  7 02:00:16 1999
  DUMP: Date of last level 0 dump: Tue Mar  2 19:47:39 1999
  DUMP: Dumping /dev/hdb1 (/nfs/apricot/d1) to standard
output
  DUMP: mapping (Pass I) [regular files]
  DUMP: mapping (Pass II) [directories]
  DUMP: estimated 8826 tape blocks.
  DUMP: dumping (Pass III) [directories]
  DUMP: master/slave protocol botched.
  DUMP: The ENTIRE dump is aborted.
 99.5%
Date/time is: Wed Apr  7 02:01:30 CDT 1999
Elapsed time for dump was: 0 hours  1 minutes 14 seconds
(74 seconds)
DUMP error detected: "  DUMP: The ENTIRE dump is aborted."

Comment 1 Preston Brown 1999-04-08 14:44:59 UTC
Please try the dump which is currently in RawHide (dump 0.4b4).  I
believe that this bug has been fixed.

You will have to rebuild the src RPM on your system to get it linked
against glibc 2.0, not glibc 2.1.  Please report your results back
here.

Comment 2 Preston Brown 1999-04-13 18:16:59 UTC
Sir, I need further input from you on this bug if we are going to be
able to solve it.

Comment 3 Joshua Buysse 1999-04-13 18:22:59 UTC
The code did fix the problem.  Sorry about not responding immediately.

The source RPM didn't rebuild correctly -- I was able to rebuild by
cd'ing to /usr/src/redhat/BUILD... and configuring/making manually.
Once that was done, the dump binary generated worked correctly.

Thanks.

Comment 4 Preston Brown 1999-04-13 19:00:59 UTC
Customer reports new RPM fixes problem -- i.e. problem will be fixed
for all customers as of RHL 6.0.


Note You need to log in before you can comment on or make changes to this bug.